GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TPG::TPGTeamInstrumented Class Reference

Instrumented TPGTeam. More...

`#include <tpgTeamInstrumented.h>`

Inheritance diagram for TPG::TPGTeamInstrumented:

## Public Member Functions
| TPGTeamInstrumented ()
Public Member Functions inherited from TPG::TPGTeam
| TPGTeam ()
| Main constructor of a TPGTeam.
virtual void | addOutgoingEdge (TPGEdge *edge) override
| Specialization throwing an std::runtime_exception if a TPGActionEdge is added to a TPGTeam.
Public Member Functions inherited from TPG::TPGVertex
virtual | ~TPGVertex ()=default
| Default polymorphic destructor.
const std::list< TPGEdge * > & | getIncomingEdges () const
| Get a const reference to incoming edges of this TPGVertex.
const std::list< TPGEdge * > & | getOutgoingEdges () const
| Get a const reference to outgoing edges of this TPGVertex.
virtual void | addIncomingEdge (TPG::TPGEdge *edge)
| Method to add an incoming TPGEdge to the TPGVertex.
virtual void | removeIncomingEdge (TPG::TPGEdge *edge)
| Removes the given incoming edge from the TPGVertex.
virtual void | removeOutgoingEdge (TPG::TPGEdge *edge)
| Removes the given outgoing edge from the TPGVertex.
virtual const std::set< uint64_t > & | getAssessedActions () const
| return assessed actions
virtual void | updateAssessedActions ()
| Update the assessed actions.
virtual bool | hasSameAssessedActions (std::set< uint64_t > actions) const
| compare the set given and the assessed actions of the vertex
virtual uint64_t | getVertexID () const
| Get the unique identifier of the TPGVertex.
virtual void | setVertexID (uint64_t newID)
| Set a new unique identifier to the TPGVertex.
Public Member Functions inherited from TPG::TPGVertexInstrumentation
uint64_t | getNbVisits () const
| Get the number of time a TPGVertexInstrumentation was visited.
void | incrementNbVisits () const
| Add one to the number of visits for this TPGVertexInstrumented.
void | reset () const
| Reset the instrumentation attributes.

## Additional Inherited Members
Static Public Member Functions inherited from TPG::TPGVertex
static uint64_t | getVertexIDCounter ()
| Get the current value of the vertex ID counter.
Protected Member Functions inherited from TPG::TPGVertex
| TPGVertex ()
| Protected default constructor to forbid the instanciation of object of this abstract class.
Protected Member Functions inherited from TPG::TPGVertexInstrumentation
| TPGVertexInstrumentation ()
| Protected default constructor to forbid instanciation.
Static Protected Member Functions inherited from TPG::TPGVertex
static uint64_t | incrementeCounter ()
| Incremente the vertex ID counter and return the new value.
static void | resetVertexIDCounter ()
| Reset the vertex ID counter.
Protected Attributes inherited from TPG::TPGVertex
std::list< TPG::TPGEdge * > | incomingEdges
| Set of incoming TPGEdge of the TPGVertex.
std::list< TPG::TPGEdge * > | outgoingEdges
| Set of outgoing TPGEdge of the TPGVertex.
std::set< uint64_t > | assessedActions
| Set of assessed actions by the team.
uint64_t | vertexID
| Unique identifier of the TPGVertex.
Protected Attributes inherited from TPG::TPGVertexInstrumentation
std::atomic_uint64_t | nbVisits

## Detailed Description

Instrumented TPGTeam.

## Constructor & Destructor Documentation

## ◆ TPGTeamInstrumented()

TPG::TPGTeamInstrumented::TPGTeamInstrumented | ( |  | ) |
| inline

Main constructor for TPGTeamInstrumented. see TPGTeam constructor for more details.

The documentation for this class was generated from the following file:

- D:/a/gegelati/gegelati/gegelatilib/include/tpg/instrumented/tpgTeamInstrumented.h